Bug 1261446 - VM display type changed on import to 3.6 from older version
VM display type changed on import to 3.6 from older version
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
high Severity medium (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Michal Skrivanek
sefi litmanovich
virt
:
Depends On:
Blocks: 1260590
  Show dependency treegraph
 
Reported: 2015-09-09 06:51 EDT by Omer Frenkel
Modified: 2016-02-10 14:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:27:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45941 master MERGED core: fix graphics on import Never
oVirt gerrit 45969 ovirt-engine-3.6 MERGED core: fix graphics on import Never

  None (edit)
Description Omer Frenkel 2015-09-09 06:51:34 EDT
Description of problem:
Importing VM that was exported with spice as display type (in 3.5)
is imported in 3.6 and the UI show:
Graphics protocol: None
Video Type: CIRRUS

note that the vm actually starts with spice as expected

Version-Release number of selected component (if applicable):
3.6.0

How reproducible:
always

Steps to Reproduce:
1. import vm that was exported in ovirt 3.5, with spice display type
2. observe the display parameters in the UI for this vm


Actual results:
Graphics protocol: None
Video Type: CIRRUS

Expected results:
Graphics protocol: Spice
Video Type: QXL
Comment 3 sefi litmanovich 2015-12-10 03:38:10 EST
Verified:

3.6 ENV:

ENGINE: 
rhevm-3.6.1.2-0.1.el6
HOST:
rhel 7.2
vdsm-4.17.12-0.el7ev
libvirt-1.2.17-13.el7_2.2

3.5 ENV:

ENGINE:
rhevm-3.5.6.2-0.1.el6ev
HOST:
rhel 7.1
vdsm-4.16.29-1.el7ev
libvirt-1.2.8-16.el7_1.5

1. Created vm with spice display type on 3.5 env.
2. Export vm to export domain.
3. detach export domain and attach to 3.6 env.
4. import vm on 3.6 env from export domain.
5. open vm's menu

result:
Graphics protocol: Spice
Video Type: QXL
Comment 4 Sandro Bonazzola 2015-12-22 08:27:33 EST
oVirt 3.6.0 has been released and the bz verified, moving to closed current release.

Note You need to log in before you can comment on or make changes to this bug.